Debian Bug report logs - #457757
sdd: FTBFS: clean fails because arch unknown.

version graph

Package: sdd; Maintainer for sdd is (unknown);

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Tue, 25 Dec 2007 12:15:04 UTC

Severity: serious

Found in version sdd/1.52-9

Fixed in version sdd/1.52-10

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#457757; Package sdd. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: sdd: FTBFS: clean fails because arch unknown.
Date: Tue, 25 Dec 2007 13:03:44 +0100
Package: sdd
Version: 1.52-9
Severity: serious

Hi,

Your package is failing to build on various arches with the an error
like this:
make[1]: Entering directory `/build/buildd/sdd-1.52'
RULES/rules1.top:234: incs/Dcc.x86_64-linux: No such file or directory
RULES/rules.top:39: RULES/x86_64-linux-cc.rul: No such file or directory
RULES/rules.cnf:56: incs/x86_64-linux-cc/Inull: No such file or directory
RULES/rules.cnf:57: incs/x86_64-linux-cc/rules.cnf: No such file or directory
p incs/x86_64-linux-cc
make[1]: p: Command not found
make[1]: [incs/x86_64-linux-cc/Inull] Error 127 (ignored)
/bin/sh: incs/x86_64-linux-cc/Inull: No such file or directory
make[1]: *** [incs/x86_64-linux-cc/Inull] Error 1
make[1]: Leaving directory `/build/buildd/sdd-1.52'
make: *** [clean] Error 2


Previous versions ignored the clean error and continued.  I think the
patches haven't been applied yet so you get that error.


Kurt





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 457757-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 457757-close@bugs.debian.org
Subject: Bug#457757: fixed in sdd 1.52-10
Date: Sat, 12 Jan 2008 12:47:04 +0000
Source: sdd
Source-Version: 1.52-10

We believe that the bug you reported is fixed in the latest version of
sdd, which is due to be installed in the Debian FTP archive:

sdd_1.52-10.diff.gz
  to pool/main/s/sdd/sdd_1.52-10.diff.gz
sdd_1.52-10.dsc
  to pool/main/s/sdd/sdd_1.52-10.dsc
sdd_1.52-10_i386.deb
  to pool/main/s/sdd/sdd_1.52-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 457757@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated sdd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 13:40:00 +0100
Source: sdd
Binary: sdd
Architecture: source i386
Version: 1.52-10
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 sdd        - File duplication and conversion tool, similar to 'dd'
Closes: 457757
Changes: 
 sdd (1.52-10) unstable; urgency=low
 .
   * Maintainer upload from the Z├╝rich BSP
   * Applying patches before calling clean commands in rules, and deapplying
     them afterwards again. The broken shily build-system needs even patches to
     unclean, really broken (Closes: #457757).
Files: 
 39cd017bbbf12571001cfba4c63f62bc 589 utils optional sdd_1.52-10.dsc
 d44f0cd581166269a485d89c30386ff6 3962 utils optional sdd_1.52-10.diff.gz
 12c8799524c96b6bc48e2a65a7ecca65 30682 utils optional sdd_1.52-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiLXf+C5cwEsrK54RAh+GAKCkaYXwdxBkjN9OWoSm2j8X6IvkRgCeIWU8
KLpTqyxaCEFp6F44ehiSXOw=
=nVX+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 May 2008 07:35:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:05:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.